Contents
The Shipping Orders endpoint manages outbound shipments — listing orders, retrieving details, and creating new shipping orders.
{
"soNo": "SO-2025-0015",
"customer": "Riverside Manufacturing",
"orderDate": "2025-05-20T00:00:00Z",
"shipDate": "2025-06-05T00:00:00Z",
"status": "Open",
"totalLines": 4,
"lines": [
{
"lineNo": 1,
"shortID": "BOLT-M8-30",
"description": "M8 x 30mm Hex Bolt",
"units": 200,
"warehouse": 1,
"warehouseName": "Main"
}
]
}| Field | Type | Description |
|---|---|---|
soNo | string | Shipping order number |
customer | string | Customer name |
orderDate | datetime | Date the SO was created |
shipDate | datetime | Planned ship date |
status | string | Open, Partial, or Closed |
totalLines | integer | Number of line items |
lines | array | Line items (detail response only) |
| Field | Type | Description |
|---|---|---|
lineNo | integer | Line sequence number |
shortID | string | Part short ID |
description | string | Part description |
units | decimal | Quantity to ship |
warehouse | integer | Source warehouse ID |
warehouseName | string | Source warehouse name |
GET /ShippingOrderReturns shipping orders. Maximum page size is 50.
| Field | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number (default 1) |
pageSize | integer | No | Results per page (max 50) |
sort | string | No | Field to sort by |
direction | string | No | asc or desc |
startDate | datetime | No | Filter by order date on or after |
endDate | datetime | No | Filter by order date on or before |
{
"value": [
{
"soNo": "SO-2025-0015",
"customer": "Riverside Manufacturing",
"orderDate": "2025-05-20T00:00:00Z",
"shipDate": "2025-06-05T00:00:00Z",
"status": "Open",
"totalLines": 4
},
{
"soNo": "SO-2025-0014",
"customer": "Metro Supply Group",
"orderDate": "2025-05-18T00:00:00Z",
"shipDate": "2025-05-30T00:00:00Z",
"status": "Closed",
"totalLines": 2
}
],
"totalCount": 37,
"page": 1,
"pageSize": 25,
"pageCount": 2,
"hasMore": true
}GET /ShippingOrder/{id}Returns the full SO with header and all line items.
{
"soNo": "SO-2025-0015",
"customer": "Riverside Manufacturing",
"orderDate": "2025-05-20T00:00:00Z",
"shipDate": "2025-06-05T00:00:00Z",
"status": "Open",
"totalLines": 4,
"lines": [
{
"lineNo": 1,
"shortID": "BOLT-M8-30",
"description": "M8 x 30mm Hex Bolt",
"units": 200,
"warehouse": 1,
"warehouseName": "Main"
},
{
"lineNo": 2,
"shortID": "NUT-M8",
"description": "M8 Hex Nut",
"units": 200,
"warehouse": 1,
"warehouseName": "Main"
}
]
}POST /ShippingOrderCreates a new shipping order via the system import procedure. At least one line is required.
{
"customerID": 8,
"soNumber": "SO-2025-0016",
"shipDate": "2025-06-15T00:00:00Z",
"lines": [
{
"shortID": "BOLT-M8-30",
"units": 200,
"warehouse": 1
}
]
}| Field | Type | Required | Description |
|---|---|---|---|
customerID | integer | Yes | Customer record ID |
soNumber | string | Yes | SO number (must be unique) |
shipDate | datetime | No | Planned ship date |
lines | array | Yes | One or more line items |
lines[].shortID | string | Yes | Part short ID |
lines[].units | decimal | Yes | Quantity to ship |
lines[].warehouse | integer | Yes | Source warehouse ID |
{
"soNo": "SO-2025-0016",
"customer": "Riverside Manufacturing",
"orderDate": "2025-05-31T14:45:00Z",
"shipDate": "2025-06-15T00:00:00Z",
"status": "Open",
"totalLines": 1
}| Action | Required Permission |
|---|---|
| List / Get SOs | All Shipping Orders (SecurityID 120) |
| Create | Create/Modify SO (SecurityID 125) |
On this page